Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.module
Interface Module

All Superinterfaces:
  Cloneable, CopyFrom, Serializable

All Known Subinterfaces:
  DCModule, SyModule

All Known Implementing Classes:
  DCModuleImpl, ModuleImpl, SyModuleImpl

    public interface Module

extends Cloneable, CopyFrom, Serializable

Base class for modules describing Metadata of feeds. Examples of such modules are the Dublin Core and Syndication modules.

Author:
  Alejandro Abdelnur

Method Summary
`Object` | `clone()` Creates a deep clone of the object.
`String` | `getUri()` Returns the URI of the module.

Methods inherited from interface com.sun.syndication.feed.CopyFrom
`copyFrom, getInterface`

Method Detail

### getUri

    String getUri()

  Returns the URI of the module.

  Returns:
    URI of the module.

### clone

    Object clone()
                 throws CloneNotSupportedException

  Creates a deep clone of the object.

  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.